package test

import (
	"fmt"
	activityCfg "server/conf/activity"
	languageCfg "server/conf/language"
	userCfg "server/conf/user"
	GoUtil "server/game_util"
	"server/msg"
	"testing"
)

func Test(t *testing.T) {
	GoUtil.SendFeishuFatal(0, "Test", "error")
	i := userCfg.GetEnergyMulByLv(1)
	fmt.Println(i)
}

func TestGetActivityRecycleMail(t *testing.T) {
	title, mailTitle, mailContent := activityCfg.GetActivityRecycleMail(7)
	fmt.Println("title:", title)
	fmt.Println("mailTitle:", mailTitle)
	fmt.Println("mailContent:", mailContent)
	en := languageCfg.GetLanguage(msg.LANG_TYPE_LANG_CN, mailTitle)
	fmt.Println("en:", en)
}
